#include <p24fxxxx.h>
#include <timer.h>

#define SystemFrequency 8000000L / 2
#define Timer1Tick ( ( SystemFrequency / 256 ) / Timer1TogglesPerSec )
#define Timer1TogglesPerSec 2

int main( void )
{
	// FOSC = FRC / 1
	CLKDIVbits.RCDIV = 0x00;

	// NIO Port]wƦXAëwI/O PortAC
	TRISDbits.TRISD0 = 0;
	LATDbits.LATD0 = 0;

	// To Do : ϥMPLAB C30 Timer FunctionTimer1i]wC
	OpenTimer1( T1_ON & T1_IDLE_CON & T1_GATE_OFF & T1_PS_1_256 & T1_SYNC_EXT_OFF & T1_SOURCE_INT , Timer1Tick );

	while( 1 )
	{
		// To Do : Polling Timer1_XСC
		if( IFS0bits.T1IF == 1 )
		{
			// To Do : MTimer1_XСC
			IFS0bits.T1IF = 0;

			// IO PortA(Toggle)C
			LATDbits.LATD0 = !LATDbits.LATD0;
		}
	}

	while( 1 );
}
